<?
if ($level == 0){
  header('Location: /index.php');
  exit;
}

if (isset($_GET['id']) && isset($_GET['type'])) {
  $id = (int) $_GET['id'];
  
  if ($_GET['type'] == 'mail') {
    $post = $sql -> fetch("SELECT * FROM `mail` WHERE `id` = '$id' LIMIT 1");
    $comp = array('type' => 'mail', 'object' => $post['msg'], 'id' => $post['id'], 'id_user' => $post['id_user'], 'razdel' => 'Почта', 'title' => 'сообщение');
    $returnID = 'func=user.mail&id=' . $post['id_user'];
  } elseif ($_GET['type'] == 'goods') {
    $post = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$id' LIMIT 1");
    $comp = array('type' => 'goods', 'object' => "[url=?func=shop.goods&id=" . $post['id'] . "]" . $post['name'] . "[/url]\rОписание товара: " . $post['msg'], 'id' => $post['id'], 'id_user' => $post['id_user'], 'razdel' => 'Товары', 'title' => 'товар');
    $returnID = 'func=shop.goods&id=' . $post['id'];
  }
}

if (!isset($comp['id'])) {
  die('Ошибка: Данные не получены');
}

if (isset($_POST['msg'])) {
  $msg = $sql->esc($_POST['msg']);
  
  if (strlen2($_POST['msg']) > 15024) {
  	$err[] = 'Комментарий слишком длинный';
  } elseif (strlen2($_POST['msg']) < 2) {
  	$err[] = 'Комментарий слишком короткий';
  } 
  
  if (!isset($err)) {
    
    if ($comp['type'] == 'mail') {
      admin_journal($user['id'], 'complaint', " жалоба на пользователя [url=?func=user.profile&id=" . $comp['id_user'] . "]" . login($comp['id_user']) . "[/url]\rРаздел: $comp[razdel]\rНа сообщение: $comp[object]\rКомментарий: $msg");
    } elseif ($comp['type'] == 'goods') {
      admin_journal($user['id'], 'complaint', " жалоба на товар $comp[object]\rРаздел: $comp[razdel]\rКомментарий: $msg");
    } 
    
    $_SESSION['message'] = 'Жалоба успешно отправлена';
    header('Location: ?' . $returnID);
    exit;
  }
}


$system['title'] = 'Жалоба на ' . $comp['title'];
require SYS . 'header.php';
?>

<div class="alert">
  <b>Внимание!</b> За ложное обвинение, может последовать наказание!
</div>

<div class="nav2">
<form class="form-horizontal" action="?func=<?= $func?>&amp;id=<?= $comp['id']?>&amp;type=<?= $comp['type']?>" method="POST" style="margin: 2px;">
  
  <div class="control-group">
    <label class="control-label" for="msg">Жалоба на</label>
    <?
    /*
    ///// Дырка
    <div class="controls">
      <?= login($comp['id_user'], 1)?> &raquo; <?= text_out($comp['object'])?>
    </div>
        */
    
    ?>
    
        <div class="controls">
      <?= login($comp['id_user'], 1)?>
    </div>
    
  </div>
  
  <div class="control-group">
    <label class="control-label" for="msg">Комментарий</label>
    <div class="controls">
      <? if (is_file(THEME . 'php/form.textarea.php')) {
        require THEME . 'php/form.textarea.php';
      } else {
        ?><textarea style="width: 75%;" name="msg" id="msg" placeholder="Cообщение..."></textarea><br /><?
      }
      ?>
    </div>
  </div>
  
  <div class="control-group">
    <div class="controls">
      <button type="submit" class="btn">Отправить</button>
    </div>
  </div>
</form>
</div>

<div class="foot">
&laquo; <a href="?<?= $returnID?>">Вернуться назад</a>
</div>